# ClpHashValue Class Reference

`#include <ClpNode.hpp>`

Collaboration diagram for ClpHashValue:
[legend]

List of all members.

## Classes
struct | CoinHashLink
| Data. More...
## Public Member Functions
Useful methods
int | index (double value) const
| Return index or -1 if not found.
int | addValue (double value)
| Add value to list and return index.
int | numberEntries () const
| Number of different entries.
Constructors, destructor
| ClpHashValue ()
| Default constructor.
| ClpHashValue (ClpSimplex *model)
| Useful constructor.
virtual | ~ClpHashValue ()
| Destructor.
Copy method
| ClpHashValue (const ClpHashValue &)
| The copy constructor.
ClpHashValue & | operator= (const ClpHashValue &)
| =
## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
CoinHashLink * | hash_
| Hash table.
int | numberHash_
| Number of entries in hash table.
int | maxHash_
| Maximum number of entries in hash table i.e. size.
int | lastUsed_
| Last used space.
## Private Member Functions
private stuff
int | hash (double value) const
| returns hash
void | resize (bool increaseMax)
| Resizes.

## Detailed Description

Definition at line 288 of file ClpNode.hpp.

## Constructor & Destructor Documentation

ClpHashValue::ClpHashValue | ( |  | ) |

Default constructor.

ClpHashValue::ClpHashValue | ( | ClpSimplex * | model | ) |

Useful constructor.

virtual ClpHashValue::~ClpHashValue | ( |  | ) | `[virtual]`

Destructor.

ClpHashValue::ClpHashValue | ( | const ClpHashValue & |  | ) |

The copy constructor.

## Member Function Documentation

int ClpHashValue::index | ( | double | value | ) | const

Return index or -1 if not found.

int ClpHashValue::addValue | ( | double | value | ) |

Add value to list and return index.

int ClpHashValue::numberEntries | ( |  | ) | const`[inline]`

Number of different entries.

Definition at line 298 of file ClpNode.hpp.

ClpHashValue& ClpHashValue::operator= | ( | const ClpHashValue & |  | ) |

=

int ClpHashValue::hash | ( | double | value | ) | const`[private]`

returns hash

void ClpHashValue::resize | ( | bool | increaseMax | ) | `[private]`

Resizes.

## Member Data Documentation

CoinHashLink* ClpHashValue::hash_`[mutable, protected]`

Hash table.

Definition at line 340 of file ClpNode.hpp.

int ClpHashValue::numberHash_`[protected]`

Number of entries in hash table.

Definition at line 342 of file ClpNode.hpp.

int ClpHashValue::maxHash_`[protected]`

Maximum number of entries in hash table i.e. size.

Definition at line 344 of file ClpNode.hpp.

int ClpHashValue::lastUsed_`[protected]`

Last used space.

Definition at line 346 of file ClpNode.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.94.1/Clp/src/ClpNode.hpp